The Asset Maintenance object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

asset_name string required
asset_category string
item_code string
item_name string
company string required
maintenance_team string required
maintenance_manager string
maintenance_manager_name string
The Asset Maintenance object
{
  "id": "asset-maintenance_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "asset_name": "asset_name_example",
  "asset_category": "asset_category_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "company": "Example Corp",
  "maintenance_team": "maintenance_team_example",
  "maintenance_manager": "maintenance_manager_example",
  "maintenance_manager_name": "maintenance_manager_name_example"
}
GET /api/assets/asset-maintenance/{id}

Retrieve a asset maintenance

Retrieves the details of an existing asset maintenance. Supply the unique asset maintenance ID that was returned from a previous request.

Path parameters

id string required

The identifier of the asset maintenance to retrieve.

Returns

Returns the asset maintenance object if a valid identifier was provided.

GET /api/assets/asset-maintenance/{id}
curl https://api.overplane.dev/api/assets/asset-maintenance/asset-maintenance_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "asset-maintenance_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "asset_name": "asset_name_example",
  "asset_category": "asset_category_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "company": "Example Corp",
  "maintenance_team": "maintenance_team_example",
  "maintenance_manager": "maintenance_manager_example",
  "maintenance_manager_name": "maintenance_manager_name_example"
}
GET /api/assets/asset-maintenance

List all asset maintenances

Returns a list of asset maintenances. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of asset maintenance objects.

GET /api/assets/asset-maintenance
curl https://api.overplane.dev/api/assets/asset-maintenance \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "asset-maintenance_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "asset_name": "asset_name_example",
      "asset_category": "asset_category_example",
      "item_code": "item_code_example",
      "item_name": "item_name_example",
      "company": "Example Corp",
      "maintenance_team": "maintenance_team_example",
      "maintenance_manager": "maintenance_manager_example",
      "maintenance_manager_name": "maintenance_manager_name_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/assets/asset-maintenance

Create a asset maintenance

Creates a new asset maintenance object.

Body parameters

asset_name string required
asset_category string
item_code string
item_name string
company string required
maintenance_team string required
maintenance_manager string
maintenance_manager_name string

Returns

Returns the newly created asset maintenance object if the call succeeded.

POST /api/assets/asset-maintenance
curl https://api.overplane.dev/api/assets/asset-maintenance \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"asset_name":"asset_name_example","company":"Example Corp","maintenance_team":"maintenance_team_example"}'
Response
{
  "id": "asset-maintenance_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "asset_name": "asset_name_example",
  "asset_category": "asset_category_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "company": "Example Corp",
  "maintenance_team": "maintenance_team_example",
  "maintenance_manager": "maintenance_manager_example",
  "maintenance_manager_name": "maintenance_manager_name_example"
}
PATCH /api/assets/asset-maintenance/{id}

Update a asset maintenance

Updates the specified asset maintenance by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the asset maintenance to update.

Body parameters

asset_name string
asset_category string
item_code string
item_name string
company string
maintenance_team string
maintenance_manager string
maintenance_manager_name string

Returns

Returns the updated asset maintenance object.

PATCH /api/assets/asset-maintenance/{id}
curl https://api.overplane.dev/api/assets/asset-maintenance/asset-maintenance_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"asset_name":"asset_name_example","asset_category":"asset_category_example"}'
Response
{
  "id": "asset-maintenance_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "asset_name": "asset_name_example",
  "asset_category": "asset_category_example",
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "company": "Example Corp",
  "maintenance_team": "maintenance_team_example",
  "maintenance_manager": "maintenance_manager_example",
  "maintenance_manager_name": "maintenance_manager_name_example"
}
DELETE /api/assets/asset-maintenance/{id}

Delete a asset maintenance

Permanently deletes a asset maintenance. This cannot be undone.

Path parameters

id string required

The identifier of the asset maintenance to delete.

Returns

Returns a confirmation that the asset maintenance has been deleted.

DELETE /api/assets/asset-maintenance/{id}
curl https://api.overplane.dev/api/assets/asset-maintenance/asset-maintenance_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "asset-maintenance_abc123",
  "deleted": true
}

Line items

Child objects that belong to this asset maintenance. These are accessed via the parent's ID.

Asset Maintenance Task

Attributes

idx integer
asset_maintenance_id string required
maintenance_task string required
maintenance_type string
maintenance_status string required
start_date string required
periodicity string required
end_date string
certificate_required boolean
assign_to string
assign_to_name string
next_due_date string
last_completion_date string
description string

Endpoints

GET /api/assets/asset-maintenance-task?parent_id={id}
POST /api/assets/asset-maintenance-task
PATCH /api/assets/asset-maintenance-task/{id}
DELETE /api/assets/asset-maintenance-task/{id}
POST /api/assets/asset-maintenance-task/reorder
Asset Maintenance Task object
{
  "id": "asset-maintenance-task_abc123",
  "idx": 1,
  "asset_maintenance_id": "asset_maintenance_id_example",
  "maintenance_task": "maintenance_task_example",
  "maintenance_type": "maintenance_type_example",
  "maintenance_status": "maintenance_status_example",
  "start_date": "2024-01-15",
  "periodicity": "periodicity_example",
  "end_date": "2024-01-15",
  "certificate_required": false,
  "assign_to": "assign_to_example",
  "assign_to_name": "assign_to_name_example",
  "next_due_date": "2024-01-15",
  "last_completion_date": "2024-01-15",
  "description": "description_example"
}